# framemanager.h File Reference

## Classes

class | wxAuiManager
| wxAuiManager is the central class of the wxAUI class framework. More...
class | wxAuiPaneInfo
| wxAuiPaneInfo is part of the wxAUI class framework. More...
class | wxAuiManagerEvent
| Event used to indicate various actions taken with wxAuiManager. More...

## Enumerations

enum | wxAuiManagerDock { wxAUI_DOCK_NONE = 0, wxAUI_DOCK_TOP = 1, wxAUI_DOCK_RIGHT = 2, wxAUI_DOCK_BOTTOM = 3, wxAUI_DOCK_LEFT = 4, wxAUI_DOCK_CENTER = 5, wxAUI_DOCK_CENTRE = wxAUI_DOCK_CENTER }
enum | wxAuiManagerOption { wxAUI_MGR_ALLOW_FLOATING = 1 << 0, wxAUI_MGR_ALLOW_ACTIVE_PANE = 1 << 1, wxAUI_MGR_TRANSPARENT_DRAG = 1 << 2, wxAUI_MGR_TRANSPARENT_HINT = 1 << 3, wxAUI_MGR_VENETIAN_BLINDS_HINT = 1 << 4, wxAUI_MGR_RECTANGLE_HINT = 1 << 5, wxAUI_MGR_HINT_FADE = 1 << 6, wxAUI_MGR_NO_VENETIAN_BLINDS_FADE = 1 << 7, wxAUI_MGR_LIVE_RESIZE = 1 << 8, wxAUI_MGR_DEFAULT }

## Enumeration Type Documentation

enum wxAuiManagerDock

Todo:
  wxAuiPaneInfo dock direction types used with wxAuiManager.

Enumerator:

  wxAUI_DOCK_NONE |
  wxAUI_DOCK_TOP |
  wxAUI_DOCK_RIGHT |
  wxAUI_DOCK_BOTTOM |
  wxAUI_DOCK_LEFT |
  wxAUI_DOCK_CENTER |
  wxAUI_DOCK_CENTRE |

enum wxAuiManagerOption

Todo:
  wxAuiManager behaviour style flags.

Enumerator:

  wxAUI_MGR_ALLOW_FLOATING |
  wxAUI_MGR_ALLOW_ACTIVE_PANE |
  wxAUI_MGR_TRANSPARENT_DRAG |
  wxAUI_MGR_TRANSPARENT_HINT |
  wxAUI_MGR_VENETIAN_BLINDS_HINT |
  wxAUI_MGR_RECTANGLE_HINT |
  wxAUI_MGR_HINT_FADE |
  wxAUI_MGR_NO_VENETIAN_BLINDS_FADE |
  wxAUI_MGR_LIVE_RESIZE |
  wxAUI_MGR_DEFAULT |

|  | [ top ]